# I3DExVolumetricCloudsShape Struct Reference
[External Interfaces]

Inheritance diagram for I3DExVolumetricCloudsShape:

List of all members.

## Public Member Functions
virtual real MCCOMAPI | GetValue (const TVector3 &point)=0
virtual void MCCOMAPI | SetScale (const TVector3 &scale)=0
virtual void MCCOMAPI | SetPrecision (const real precision)=0
virtual boolean MCCOMAPI | IsShapeChanged ()=0

## Detailed Description

A VolumetricCloudsShape defines the shape of a cloud. It defines both the global shape of the cloud and details.

## Member Function Documentation

virtual real MCCOMAPI I3DExVolumetricCloudsShape::GetValue | ( | const TVector3 & | point | ) | `[pure virtual]`

This return a density value of the cloud at a given point. The density must be between 0 and 1. > 0 is no density (fully transparent) > 1 is cloud

Parameters:

  | point | the point is in the box defined by {(0,0,0), (1,1,1) }

Implemented in TBasicVolumetricCloudsShape.

virtual boolean MCCOMAPI I3DExVolumetricCloudsShape::IsShapeChanged | ( |  | ) | `[pure virtual]`

Use to know if the shape has changed since the last time time function is called. Very usefull for updating the caches. Be accurate on the returned value to avoid HUGE recomputation.

Returns:
  true if the shape has changed since the last call.

Implemented in TBasicVolumetricCloudsShape.

virtual void MCCOMAPI I3DExVolumetricCloudsShape::SetPrecision | ( | const real | precision | ) | `[pure virtual]`

Use to tell the Shape the precision requested.

Parameters:

  | precision | Level of precision. 0.0f is the poorest, 1.0f is the best.

Implemented in TBasicVolumetricCloudsShape.

virtual void MCCOMAPI I3DExVolumetricCloudsShape::SetScale | ( | const TVector3 & | scale | ) | `[pure virtual]`

Use to tell the Shape the scale it will be displayed.

Parameters:

  | scale | the 3 directions scale

Implemented in TBasicVolumetricCloudsShape.

The documentation for this struct was generated from the following file:

- I3DExVolumetricCloudsShape.h